Re: Camping tutorials for education?

2009-06-11 Thread David Susco
Scratch that, got everything working with 1.8.7-p173 and selinux disabled. I have to say, rack apps are pretty easy to deploy with passenger once you get the thing installed and working :P. @Jonathan - Re: your apache conf, I actually didn't need the directory directive and the execcgi option to

Re: Camping tutorials for education?

2009-06-11 Thread Jonathan Groll
On Thu, Jun 11, 2009 at 10:44:30AM -0400, David Susco wrote: @Jonathan - Re: your apache conf, I actually didn't need the directory directive and the execcgi option to get this to work. Why did you list it? You don't need the execcgi, and the reason I give the directory directive is to set the

Re: Camping tutorials for education?

2009-06-10 Thread David Susco
I'm trying to get passenger working presently, once I do I'll let you know how the rest of it goes. When I try to load the module in the apache conf I get the following error: Cannot load /usr/lib/ruby/gems/1.8/gems/passenger-2.2.2/ext/apache2/mod_passenger.so into server:

Re: Camping tutorials for education?

2009-06-10 Thread David Susco
I've disabled SELinux to see if I could get any farther. I managed to get passenger installed and working, however a fancy passenger generated page is telling me the app couldn't be started due to this error: `require': /usr/local/lib/ruby/gems/1.9.1/gems/camping-1.9.316/lib/camping.rb:11:

Re: Camping tutorials for education?

2009-06-10 Thread David Susco
OK, good to know. What the latest version I can use? Dave On Wed, Jun 10, 2009 at 5:46 PM, Magnus Holmjudo...@gmail.com wrote: Unfornately, Camping doesn't (yet) work on Ruby 1.9.1. Unless someone else want to try now, I'm going to have a look at it *after* 2.0 is released. //Magnus Holm

Camping tutorials for education?

2009-06-09 Thread Dave Everitt
I'm planning to use Camping to teach the basics of frameworks, and encourage new arrivals from web design to take up Ruby instead of (say) defaulting to PHP. To do this, I need a foolproof set of instructions for both the technicians (who have to install on all the studio machines) and the

Re: Camping tutorials for education?

2009-06-09 Thread Magnus Holm
2. Stable version The current version is 1.5 and is available from RubyForge. This is however a *really* old release, and there have been plenty of bug fixes in the repo. There's a 1.5.180 from _why's gem server which fixes some of them. The 1.9-version I have at gems.judofyr.net is just a rake